Add template filenames as comments to HTML output in development mode
2023-01-28 08:04 - Takashi Kato

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

This patch adds HTML comments to the rendered output indicating where each template begins and ends in development and test
mode.

This feature has been added since rails 6.1.
see

.annotate template file_names annotates HTML output with template names #38848
Add the configuration option for annotating templates with file names to the generated app #39204
Associated revisions

Revision 22088 - 2023-02-02 13:11 - Go MAEDA

Enable annotate_rendered_view_with_filenames in development mode (#38216).

Contributed by Takashi Kato.

History

#1 - 2023-01-29 03:30 - Go MAEDA

- Target version set to Candidate for next major release

Thank you for posting the patch. Enabling the feature in development mode is very useful. However, | think enabling the feature by default only in
development mode is better because it breaks existing tests.

Failure:
HookTest#test_multiple_hooks [/Users/maeda/redmines/redmine-trunk/test/integration/lib/redmine/hook_test.rb:12
47
Expected: 1
Actual: O

rails test test/integration/lib/redmine/hook_test.rb:120

Failure:
HookTest#test_multiple_hooks [/Users/maeda/redmines/redmine-trunk/test/integration/lib/redmine/hook_test.rb:12
4]:
Expected: 1
Actual: 0

rails test test/integration/lib/redmine/hook_test.rb:120

#2 - 2023-02-02 13:12 - Go MAEDA

- Subject changed from Add template filenames as comments to HTML output development in development and test mode to Add template filenames
as comments to HTML output in development mode

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Enabled annotate_rendered_view_with_filenames in development mode.
https://github.com/rails/rails/pull/38848
https://github.com/rails/rails/pull/39204

Thank you for your contribution.

#3 - 2023-10-30 13:55 - Go MAEDA
- Tracker changed from Patch to Feature

- Resolution set to Fixed
